Subject: Re: [PATCH v4 0/7] git send-email suppress-cc=self fixes

From: "Michael S. Tsirkin" <[email-masked]>
Date: Wed, 5 Jun 2013 23:14:23 +0300

On Wed, Jun 05, 2013 at 12:28:08PM -0700, Junio C Hamano wrote:
> "Michael S. Tsirkin" <[email-masked]> writes:
> 
> > This includes bugfixes related to handling of --suppress-cc=self
> > flag. Tests are also included.
> >
> > Changes from v3:
> > 	- v3 submission was missing one patch (1/7). Re-add it.
> > Changes from v2:
> > 	- add a new test, split patches differently add code comments
> > 		 to address comments by Junio
> > 	- rename example addresses in tests from redhat.com to example.com
> > Changes from v1:
> >         - tweak coding style in tests to address comments by Junio
> 
> Nice.  This round cleanly applies and the interdiff since v2 looked
> sensible.
> 
> Will replace and merge to 'next' shortly.
> 
> Thanks.

Wellcome.

With respect to this, and a bit off-topic, what's
the best way to revise patch series?

What I did, given series in patchvN-1/:

	rm -fr patchvN #blow away old directory if there
			# otherwise I get two copies of patches if I renamed any
	git branch|fgrep '*'
	# Figure out on which branch I am, manually specify the correct upstream I'm tracking,
	# otherwise I get a ton of unrelated patches.
	git format-patch --cover --subject-prefix='PATCH vN' -o patchvN origin/master..

	vi patchvN/0000* patchvN-1/0000*

	#manually copy subject, Cc list and text from vN-1 to vN cover letter,
	#leave stats intact.

	git log origin/master.. |grep -e Cc: -e Reviewed -e Acked
	# manually Look who reviewed/acked all patches in previous versions -
	# if so copy them on cover letter too.

	git send-email --cc=junio patchvN/*

lots of manual steps here.
Any ways to automate?

> >
> > Michael S. Tsirkin (7):
> >   t/send-email.sh: add test for suppress-cc=self
> >   send-email: fix suppress-cc=self on cccmd
> >   t/send-email: test suppress-cc=self on cccmd
> >   send-email: make --suppress-cc=self sanitize input
> >   t/send-email: add test with quoted sender
> >   t/send-email: test suppress-cc=self with non-ascii
> >   test-send-email: test for pre-sanitized self name
> >
> >  git-send-email.perl   | 23 ++++++++++------
> >  t/t9001-send-email.sh | 75 +++++++++++++++++++++++++++++++++++++++++++++++++++
> >  2 files changed, 90 insertions(+), 8 deletions(-)